Last Comment Bug 788324 - Re-implement context-menu module
: Re-implement context-menu module
Status: RESOLVED FIXED
[jpcontextmenu]
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: P4 normal (vote)
: 1.13
Assigned To: Dave Townsend [:mossop]
:
Mentors:
Depends on: 826080
Blocks: 756246 788334 795522 700733 714914 721849 729843 745376 748743 757802 769709 773914 780945 784611 790819 793266 795523 800965 824482
  Show dependency treegraph
 
Reported: 2012-09-04 15:37 PDT by Dave Townsend [:mossop]
Modified: 2013-01-02 14:57 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/599 (355 bytes, text/html)
2012-10-04 15:15 PDT, Dave Townsend [:mossop]
rFobic: feedback+
Details

Description Dave Townsend [:mossop] 2012-09-04 15:37:15 PDT
The context menu module is some of the oldest code we have and there are numberous issues with it as it stands including it using old coding styles and so being more difficult to maintain. We should re-implement it to solve these problems.
Comment 1 Dave Townsend [:mossop] 2012-10-04 15:15:22 PDT
Created attachment 668202 [details]
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/599

Pointer to Github pull-request
Comment 2 Dave Townsend [:mossop] 2012-10-04 15:15:53 PDT
Comment on attachment 668202 [details]
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/599

Looking for a feedback pass here, not necessarily a full review.
Comment 3 [github robot] 2012-11-23 11:17:48 PST
Commit pushed to master at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/800c00175ddb56e1ed8726ad346bb1ac459c1c02
Fixes bug 788324: Re-implement context-menu API. r=gozala

Note You need to log in before you can comment on or make changes to this bug.